Restore mobile Watchlist functionality to grade C browsers e.g. Windows Phone 8
Closed, ResolvedPublic3 Story Points

Description

From: https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)#Mobile_site_broke_on_Windows_Phone

  1. After I do log in, the hamburger menu greets me by name, but the Nearby and Watchlist buttons are missing. I'd really like the Watchlist back.

Affected devices:

  • WinPho 8.1 + Internet Explorer
  • Limuia 535, Windows 10

Acceptance criteria

  • With JavaScript disabled, Watchlist should appear in the main menu
  • With JavaScript disabled, the user icon should appear in the main menu (see original report in T197824)
  • With JavaScript disabled, the watch star should appear and be clickable (using the workflow in screenshot below)
  • With JavaScript enabled, make sure it's not possible when clicking the watchstar to enter the non-JS workflow (unless the user right clicks the star).
  • Ensure redundant page actions CSS has been removed (e.g. https://gerrit.wikimedia.org/r/444132)

Testing steps

Test on beta cluster.

Visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:MobileMenu with a grade C phone. Watchlist and login should be present and both have icons.
Click random.
Watch the article.
Visit the menu (https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:MobileMenu ) again and click watchlist
Ensure the page watched is present in the "List" view.

Developer notes

Following user agent can be used for testing and development (example grade C browser):
"Mozilla/5.0 (compatible; MSIE 10.0; Windows Phone 8.0; Trident/6.0; IEMobile/10.0; ARM; Touch; NOKIA; Lumia 520)"

Related: T142527

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 441933 had a related patch set uploaded (by Jdlrobson; owner: Stephen Niedzielski):
[mediawiki/skins/MinervaNeue@master] Fix: add login icon as a server render dependency of main menu

https://gerrit.wikimedia.org/r/441933

Change 441933 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Fix: add login icon as a server render dependency of main menu

https://gerrit.wikimedia.org/r/441933

Jdlrobson updated the task description. (Show Details)
Vvjjkkii renamed this task from Restore Watchlist functionality to grade C browsers e.g. Windows Phone 8 to 29aaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed ovasileva as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Kaartic renamed this task from 29aaaaaaaa to Restore Watchlist functionality to grade C browsers e.g. Windows Phone 8.Jul 1 2018, 3:24 PM
Kaartic lowered the priority of this task from High to Normal.
Kaartic assigned this task to ovasileva.
Kaartic updated the task description. (Show Details)
Kaartic updated the task description. (Show Details)
Kaartic added subscribers: gerritbot, Aklapper.
ovasileva set the point value for this task to 3.Jul 3 2018, 4:40 PM

@alexhollender the confirmation page has only one button "Yes", and no "cancel", "go back". Also, there are no back buttons on the page, if we ask the user for confirmation, we should allow for declining the action.

Jdlrobson updated the task description. (Show Details)Jul 3 2018, 6:19 PM

@pmiazga I agree that we should have a cancel button next to the confirmation button. Although, perhaps an even better solution here would be to skip the confirmation/cancel step altogether, since I'm not sure it's necessary.

Jdlrobson added a subscriber: Jdrewniak.

@pmiazga I agree that we should have a cancel button next to the confirmation button. Although, perhaps an even better solution here would be to skip the confirmation/cancel step altogether, since I'm not sure it's necessary.

Another task please since such a change would impact desktop too. Let's just do the most simple thing here. @Jdrewniak suggested making the watchstar a form.

Change 444132 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] WIP: Simplify page actions selectors

https://gerrit.wikimedia.org/r/444132

Jdlrobson updated the task description. (Show Details)Jul 30 2018, 10:31 AM

Change 444132 abandoned by Jdlrobson:
WIP: Simplify page actions selectors

https://gerrit.wikimedia.org/r/444132

Change 465768 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Show watchlist to non-JS users of Minerva

https://gerrit.wikimedia.org/r/465768

Change 465769 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Watchstar is accessible to non-js users

https://gerrit.wikimedia.org/r/465769

Change 465770 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Cleanup unused page actions CSS

https://gerrit.wikimedia.org/r/465770

Change 465771 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Watchstar uses "a" tag for consistency with other page actions

https://gerrit.wikimedia.org/r/465771

phuedx removed a subscriber: phuedx.Oct 11 2018, 11:37 AM
Johan added a subscriber: Johan.Oct 11 2018, 6:17 PM

@ovasileva Thank you for marking this for inclusion in Tech News. Making sure I don't misunderstanding, something like this, in very simplified terms with a link to this Phab task?

"Some old browsers can use the watchlist again. This has not worked for a while. These browsers are called [[<tvar|gradec>mw:Special:MyLanguage/Compatibility#Basic (Grade_C)</>|grade C browsers]]. This helps for example Window Phone 8.1 with Internet Explorer and Limuia 535 with Windows 10. [1]"

^ @Johan that will be correct as soon as the patches are merged. So "can use" should probably be "will soon be able"
This is also limited to the mobile site.

Change 465768 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Show watchlist to non-JS users of Minerva

https://gerrit.wikimedia.org/r/465768

Change 465771 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Watchstar uses "a" tag for consistency with other page actions

https://gerrit.wikimedia.org/r/465771

Change 465769 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Watchstar is accessible to non-js users

https://gerrit.wikimedia.org/r/465769

Change 465770 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Cleanup unused page actions CSS

https://gerrit.wikimedia.org/r/465770

Jdlrobson reassigned this task from Jdlrobson to alexhollender.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
alexhollender removed alexhollender as the assignee of this task.

Confirming that I am able to add pages to my watchlist using an LG Exalt phone with the Opera Mini browser.

Kaartic added a comment.EditedNov 7 2018, 1:41 AM

Hi,

Just a few suggestions

I just tested this in my mobile (Firefox Nightly 65.0a1 for Android) browser by disabling JavaScript for that page. Adding pages to watchlist and removing them worked correctly.

  1. But I was surprised to see that there's no obvious way to go to the article page from the page you see after successfully adding/removing an article. I had to hit back twice to go to the article page.

    So, coming to the point, it would be nice to have a link back to the article page that reads 'Go to article' in the page that shows the message after successfully adding/removing an article to watchlist.
  2. Also I noticed that the watchstar remained filled on the page that conveyed the message that the article and it's talk page have been removed from the watchlist (see screen shot). I guess it's wrong. The watch star shouldn't be filled when the message states the article has been removed from the watchlist.

Jdlrobson reassigned this task from Ryasmeen to ovasileva.Nov 7 2018, 6:01 PM
Jdlrobson added a subscriber: Ryasmeen.

Thanks for the feedback @Kaartic I've opened T208971 !
@ovasileva can you sign off on this?

ovasileva closed this task as Resolved.Nov 7 2018, 9:43 PM

looks good

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptNov 7 2018, 9:43 PM
Jdforrester-WMF renamed this task from Restore Watchlist functionality to grade C browsers e.g. Windows Phone 8 to Restore mobile Watchlist functionality to grade C browsers e.g. Windows Phone 8.Nov 8 2018, 7:45 PM
Jdforrester-WMF removed a project: Patch-For-Review.